Skip to main content
`Ctrl`+`K`

# STGetMatrix

Gets the matrices associated with the original eigensystem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetMatrix(ST st,PetscInt k,Mat *A)

Collective

## Input Parameters

- st - the spectral transformation context

- k - the index of the requested matrix (starting in 0)

## Output Parameter

- A - the requested matrix

## See Also

ST: Spectral Transformation, `STSetMatrices()`, `STGetNumMatrices()`

## Level

intermediate

## Location

src/sys/classes/st/interface/stfunc.c

## Examples

src/eps/tutorials/ex10.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages